org.eclipse.oomph.resources.backend

## Class LocalBackendSystem

- java.lang.Object
- - org.eclipse.oomph.resources.backend.BackendResource
  - - org.eclipse.oomph.resources.backend.BackendContainer
    - - org.eclipse.oomph.resources.backend.BackendSystem
      - - org.eclipse.oomph.resources.backend.LocalBackendSystem

-     public final class LocalBackendSystem
      extends BackendSystem

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LocalBackendSystem.Factory`
    `static class` | `LocalBackendSystem.Member`

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.resources.backend.BackendSystem

      `BackendSystem.IFactory, BackendSystem.Registry`

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.resources.backend.BackendResource

      `BackendResource.Type, BackendResource.Visitor`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.oomph.resources.backend.BackendResource

      `RESOURCE_SCHEME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `exists(BackendResource backendResource, IProgressMonitor monitor)`
    `protected InputStream` | `getContents(BackendFile backendFile, IProgressMonitor monitor)`
    `protected File` | `getDelegate(BackendResource backendResource)`
    `protected Object` | `getDelegateMember(Object containerDelegate, String relativePath, IProgressMonitor monitor)`
    `protected Object[]` | `getDelegateMembers(Object containerDelegate, IProgressMonitor monitor)`
    `protected String` | `getDelegateName(Object resourceDelegate)`
    `protected BackendResource.Type` | `getDelegateType(Object resourceDelegate, boolean checkExists)`
    `protected long` | `getLastModified(BackendResource backendResource, IProgressMonitor monitor)`
    `protected IPath` | `getLocation(BackendResource backendResource)`
    `File` | `getRoot()`
    `protected ResourcesUtil.ImportResult` | `importIntoWorkspace(BackendContainer container, IProject project, IProgressMonitor monitor)`

    - ### Methods inherited from class org.eclipse.oomph.resources.backend.BackendSystem

      `accept, beginConnected, beginVisitor, createBackendFile, createBackendFolder, doAccept, doVisit, endConnected, endVisitor, findMember, getMaxThreads, getMembers, getSystemURI, getType`

    - ### Methods inherited from class org.eclipse.oomph.resources.backend.BackendContainer

      `findMember, findMember, findMember, getFile, getFile, getFile, getFolder, getFolder, getFolder, getMembers, importIntoWorkspace`

    - ### Methods inherited from class org.eclipse.oomph.resources.backend.BackendResource

      `accept, equals, exists, get, get, getAbsoluteURI, getDelegate, getLastModified, getLocation, getName, getParent, getRelativePath, getRelativeURI, getSystem, getSystemRelativePath, getSystemRelativeURI, hashCode, isContainer, isLocal, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getRoot

          public File getRoot()

    - #### getDelegate

          protected File getDelegate(BackendResource backendResource)
                              throws Exception

      Specified by:
        `getDelegate` in class `BackendSystem`
      Throws:
        `Exception`

    - #### getDelegateMembers

          protected Object[] getDelegateMembers(Object containerDelegate,
                                    IProgressMonitor monitor)
                                         throws Exception

      Specified by:
        `getDelegateMembers` in class `BackendSystem`
      Throws:
        `Exception`

    - #### getDelegateMember

          protected Object getDelegateMember(Object containerDelegate,
                                 String relativePath,
                                 IProgressMonitor monitor)
                                      throws Exception

      Specified by:
        `getDelegateMember` in class `BackendSystem`
      Throws:
        `Exception`

    - #### getDelegateName

          protected String getDelegateName(Object resourceDelegate)
                                    throws Exception

      Specified by:
        `getDelegateName` in class `BackendSystem`
      Throws:
        `Exception`

    - #### getDelegateType

          protected BackendResource.Type getDelegateType(Object resourceDelegate,
                                             boolean checkExists)
                                                  throws Exception

      Specified by:
        `getDelegateType` in class `BackendSystem`
      Throws:
        `Exception`

    - #### getLocation

          protected IPath getLocation(BackendResource backendResource)
                               throws Exception

      Specified by:
        `getLocation` in class `BackendSystem`
      Throws:
        `Exception`

    - #### exists

          protected boolean exists(BackendResource backendResource,
                       IProgressMonitor monitor)
                            throws Exception

      Specified by:
        `exists` in class `BackendSystem`
      Throws:
        `Exception`

    - #### getLastModified

          protected long getLastModified(BackendResource backendResource,
                             IProgressMonitor monitor)
                                  throws Exception

      Specified by:
        `getLastModified` in class `BackendSystem`
      Throws:
        `Exception`

    - #### getContents

          protected InputStream getContents(BackendFile backendFile,
                                IProgressMonitor monitor)
                                     throws Exception

      Specified by:
        `getContents` in class `BackendSystem`
      Throws:
        `Exception`

    - #### importIntoWorkspace

          protected ResourcesUtil.ImportResult importIntoWorkspace(BackendContainer container,
                                                       IProject project,
                                                       IProgressMonitor monitor)
                                                            throws Exception

      Specified by:
        `importIntoWorkspace` in class `BackendSystem`
      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html